#!/usr/bin/perl

use warnings;
use strict;

my $DEBUG_LEVEL = 0;

my $filename = $ARGV[0];

my $feat_num_baseball_words =0;
my $feat_num_hockey_words=0;

&extract_feats();

sub extract_feats(){

    my @lines = &open_file($filename);

    for (my $i=0; $i < scalar(@lines); $i++){
	my $line = $lines[$i];
	chomp($line);

	my @words = split(/\s+/, $line);

	for (my $k=0; $k < scalar(@words); $k++){
	    my $word = $words[$k];
	    $word = lc($word);

	    #print $word;
	    if ($word eq "baseball"){
		$feat_num_baseball_words = $feat_num_baseball_words + 1;
	    }
	    elsif($word eq "hockey"){
		$feat_num_hockey_words = $feat_num_hockey_words + 1;
	    }

	}
    }

    print "$feat_num_baseball_words,$feat_num_hockey_words\n";


}

#open file function
sub open_file(){
    my ($filename) = @_;
    
    warn "Input File is >$filename<" if $DEBUG_LEVEL == 1;
    
    open(FILENAME, $filename) || die "Cannot Open Inputfile >$filename<";
    my @lines = <FILENAME>;
    close(FILENAME);

    return @lines;
}

